CON
  _clkmode               = xtal1 + pll16x
  _xinfreq               = 5_000_000 
 
    'Physical Inputs
    i2cSCL              = 0     '<<<<<<set your actual pins here
    i2cSDA              = 1
OBJ
    i2c        : "minimali2cdriver"                

PUB Start
    
      TES   'run the i2c method below
         repeat   'stay alive

PUB TES
   i2c.i2cstart(i2cSCL)    'start condition    send SCL pin number
   i2c.i2cwrite(i2cSCL, %0000_0000)    'send address $00 plus write bit '0'
   i2c.i2cwrite(i2cSCL, "o")      'stop all scripts
   i2c.i2cstop(i2cSCL)

   waitcnt(clkfreq / 10 + cnt)
   
   i2c.i2cstart(i2cSCL)    'start condition    send SCL pin number
   i2c.i2cwrite(i2cSCL, %0000_0010)    'send address $01 plus write bit '0'
   i2c.i2cwrite(i2cSCL, "p")      'play script command 
   i2c.i2cwrite(i2cSCL, $10)    'script hex 10, dec 16? 
   i2c.i2cwrite(i2cSCL, $00)    'play forever 
   i2c.i2cwrite(i2cSCL, $00)    'start at first command 
   i2c.i2cstop(i2cSCL)      'stop condition

   waitcnt(clkfreq / 10 + cnt)
   
   i2c.i2cstart(i2cSCL)
   i2c.i2cwrite(i2cSCL, %0000_0100)    'send address $02 plus write bit '0'
   i2c.i2cwrite(i2cSCL, "p")      'play script command 
   i2c.i2cwrite(i2cSCL, $10)    'script hex 10, dec 16?
   i2c.i2cwrite(i2cSCL, $00)    'play forever 
   i2c.i2cwrite(i2cSCL, $00)    'start at first command 
   i2c.i2cstop(i2cSCL)      'stop condition